Developers

Retrieves the collection of Cost resource.

GET
/finance/costs

Retrieves the collection of Cost resource.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
search?string
financeContractor?string
financeContractor[]?array<string>
financeProject?string
financeProject[]?array<string>
financeStage?string
financeStage[]?array<string>
financeBoard?string
financeBoard[]?array<string>
financeTask?string
financeTask[]?array<string>
costCategory?string
costCategory[]?array<string>
invoice?string
invoice[]?array<string>
isBilled?boolean
isBilled[]?array<boolean>
isPosted?boolean
isPosted[]?array<boolean>
costType?string
costType[]?array<string>
date[before]?string
date[strictly_before]?string
date[after]?string
date[strictly_after]?string
dateDeadline[before]?string
dateDeadline[strictly_before]?string
dateDeadline[after]?string
dateDeadline[strictly_after]?string
createdAt[before]?string
createdAt[strictly_before]?string
createdAt[after]?string
createdAt[strictly_after]?string
order[name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[costCategory.name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[financeStage.name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[priceNet]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[priceGross]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[date]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[dateDeadline]?string
Default"asc"

Value in

  • "asc"
  • "desc"
priceNet[gt]?

Cost priceNet

priceNet[gte]?

Cost priceNet

priceNet[lt]?

Cost priceNet

priceNet[lte]?

Cost priceNet

priceNet[ne]?

Cost priceNet

priceGross[gt]?

Cost priceGross

priceGross[gte]?

Cost priceGross

priceGross[lt]?

Cost priceGross

priceGross[lte]?

Cost priceGross

priceGross[ne]?

Cost priceGross

Response Body

curl -X GET "https://example.com/finance/costs"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "priceNet": 0.1,    "priceGross": 0.1,    "isBilled": true,    "isPosted": true,    "costType": "manually",    "date": "2019-08-24T14:15:22Z",    "dateDeadline": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "costCategory": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": false,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string"      }    },    "taxRate": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "value": 0.1,      "isDefault": false    },    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    },    "financeStage": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      }    },    "financeBoard": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      },      "financeStage": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        }      }    },    "financeTask": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "number": 0,      "shortCode": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      },      "financeStage": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        }      },      "financeBoard": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        },        "financeStage": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "financeProject": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "shortCode": "string",            "no": "string",            "isSimple": true          }        }      }    },    "reportedTimeType": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "costFiles": [      {        "createdBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string",          "contractorName": "string",          "jobPositionName": "string"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "displayedName": "string",        "extension": "string",        "size": 0,        "source": "internal",        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "financeContractor": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "pictureSm": "string"    },    "invoice": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "no": "string",      "docTitle": "string",      "saleDate": "2019-08-24T14:15:22Z",      "issueDate": "2019-08-24T14:15:22Z",      "deadlineDate": "2019-08-24T14:15:22Z",      "issuedPlace": "string",      "invoiceType": "fv",      "sellerName": "string",      "sellerVatId": "string",      "sellerStreet": "string",      "sellerZipCode": "string",      "sellerCity": "string",      "sellerCreatorName": "string",      "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b",      "buyerContractorName": "string",      "buyerName": "string",      "buyerVatId": "string",      "buyerStreet": "string",      "buyerZipCode": "string",      "buyerCity": "string",      "bankAccount": "string",      "currencyCode": "str",      "paymentMethod": "cash",      "alreadyPaid": 0,      "toPay": 0,      "netAmount": 0,      "vatAmount": 0,      "grossAmount": 0,      "description": "string",      "posted": false,      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": false,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "isUpdated": false,      "updatedBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": false,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string"      },      "updatedAt": "2019-08-24T14:15:22Z",      "items": [        {          "order": 0,          "positionName": "string",          "unit": "string",          "count": 0,          "priceUnit": 0,          "tax": "string",          "netAmount": 0,          "vatAmount": 0,          "grossAmount": 0,          "gtu": "string"        }      ],      "numbering": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "fv",        "pattern": "string",        "resetInterval": "P1M",        "leadingZero": 0,        "isDefault": true,        "docTitle": "string",        "closestCounter": null      },      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      }    },    "invoiceNumber": "string"  }]